LOGFILE = File.open('rubot19.log', 'a')
LOGFILE.puts("\n\n#{Time.now}  #{__FILE__} begin\nARGV: #{ARGV}")
begin

# CallRubyScript2
require File.expand_path '../../lib/excel', __FILE__
require File.expand_path '../../lib/align', __FILE__


# change TODO, process data
raise "CallRubyScript2: Wrong number of parameters (#{ARGV.size} of 5)" if ARGV.size != 5

FirstRow,LastRow,InputCol,OutputCol = ARGV[0..3].map {|x| x.to_i}
pars = ARGV[4].strip
if pars
  pars = pars[1..-2] if pars[0] == '('
  pars = pars.split(',').map {|x| x.strip}.map {|x| x[0] == '"' || x[0] == "'" ? x[1..-2] : x}
else
  pars = []
end
raise "Constr.align: Wrong number of parameters (#{pars.size} of 3)" if pars.size != 3

sess = Excel_session.new
sess.connect_to_excel

excel = sess.instance_eval "@excel"
workbook = excel.ActiveWorkbook
worksheet = workbook.ActiveSheet  

(FirstRow..LastRow).each do |row|
  inpu = worksheet.Cells(row, InputCol).value.strip
  if inpu != ''     # TODO, do something
    begin
      res = Constr.align(inpu, *pars)
    rescue Exception => erx
      res = erx.to_s + "\n\n" + erx.backtrace.join("\n")
    end
    worksheet.Cells(row, OutputCol).value = res
  end
end

#sess.display_ok_box("CallRubyScript2 #{__FILE__}   Done!")


rescue Exception => eee
  LOGFILE.puts(eee)
  LOGFILE.puts("--------------------------------")
  LOGFILE.puts(eee.backtrace)
ensure
  LOGFILE.puts("#{Time.now}  #{__FILE__} end\n")
  LOGFILE.close
end
