
require_relative 'bst_parser.rb'

parser1 = Parser.new(["V", "w"], ["C", "k"], ["V", "V"], ["C", "C"])

parses1_1 = parser1.parse("VVCC")
parses1_2 = parser1.parse("CVxCV")
parses1_3 = parser1.parse("VCwkCww")
parses1_4 = parser1.parse("CCC")

puts parses1_1.to_s
puts parses1_2.to_s
puts parses1_3.to_s
puts parses1_4.to_s

parses1_2.each {|p| puts parser1.remove_ineffables(p)}
parses1_3.each {|p| puts parser1.desyllabify(p)}


parser2 = Parser.new(["o", "u"], ["k", "p"], ["o", "u"], ["k", "p"])
parses2_1 = parser2.parse("kop")
parses2_2 = parser2.parse("upko")
parses2_3 = parser2.parse("kokpkuu")

puts
puts parses2_1.to_s
puts parses2_2.to_s
puts parses2_3.to_s