# Author: Naz Merchant 
# Called from the factorial typology output sheet, this
# generates comparative tableaux for each selected language,
# along with the skeletal basis for each.

require_relative '../lib/excel'
#require_relative '../lib/comparative_tableau'
#require_relative '../lib/fred'
require_relative '../lib/epo.rb'
require_relative '../lib/moat.rb'
#require 'REXML/syncenumerator' # Ruby 1.9 moved syncenumerator to REXML.

# Create a ruby-excel session, and connect it to the existing
# (running) instance of excel.
sess = Excel_session.new
sess.connect_to_excel

# Get a list of selected language labels and associated optimum labels.
lang_list = sess.get_ft_lang_and_opts

## Get the lists of possibly optimal candidates for each competition
competition_list = sess.get_ft_competitions

# This call only works on Mink Sum competitions
sess.put_moat(Moat.new(competition_list[0]))

#sess.put_moat(Moat.get_test_moat())

# Pop up a botton box indicating that MOATerator is finished.
sess.display_ok_box('MOAT Complete!')

