# Author: Bruce Tesar
#
# Called from a sheet containing violation tableaux, this generates sheets
# indicating which candidates are and are not harmonically bound.
 
require_relative '../lib/excel'
require_relative '../lib/factorial_typology'

# Create a ruby-excel session, and connect it to the existing
# (running) instance of excel.
sess = Excel_session.new
sess.connect_to_excel
#
competition_list = sess.get_input_sheet_data
#
ft_result = FactorialTypology.new(competition_list)
sess.put_inputs_all_hbound(ft_result)
sess.put_inputs_non_hbound(ft_result)

# Pop up a botton box indicating that RUBOT is finished.
sess.display_ok_box('Done!')
