# Authors: Alan Prince, Bruce Tesar
# 
# Called from the factorial typology output sheet, this
# generates comparative tableaux for each selected language,
# along with the skeletal basis for each.

require_relative '../lib/excel'
require_relative '../lib/comparative_tableau'
require_relative '../lib/fred'
#require_relative '../lib/epo.rb'
#require_relative '../lib/moat.rb'
#require 'REXML/syncenumerator' # Ruby 1.9 moved syncenumerator to REXML.

# Create a ruby-excel session, and connect it to the existing
# (running) instance of excel.
sess = Excel_session.new
sess.connect_to_excel

#This method will be called on an VT page. We pull the competitions
competition_list = sess.get_input_sheet_data
lang_label= "ShortReport"        #temp label
 
  ct = Comparative_tableau.new(lang_label)
  ct.add_competition_list(competition_list)
  
  # Call FRed on ct
  fred_result = Fred.new(ct)
  
  # Create new ws, put ct and skb info to it
  sess.put_ft_cand_skb(fred_result)

sess.nameMyLanguage
  
# Pop up a botton box indicating that RUBOT is finished.
sess.display_ok_box('Done!')

