# Author: Naz Merchant
#

# A HS operation that produces the faithful candidate

require_relative 'constraint.rb'
require_relative 'candidate_hs.rb'
require_relative 'operation.rb'

class Epenthesis_Operation < Operation

  def create_candidates(input)
    cands = []
    @target.each do |t|
      (0..input.length).each {|i| cands << HS_Candidate.new(input, input.dup.insert(i, t), false, @cons, self)}
    end
    
    set_violations(cands)
    return cands
  end

end