# Author: Nazarre Merchant
#

# A HS operation that produces the faithful candidate

require_relative 'constraint.rb'
require_relative 'candidate_hs.rb'
require_relative 'operation.rb'

class Faithful_Operation < Operation

  def create_candidates(input)
    c = HS_Candidate.new(input, input, false, @cons, self)
    # Default assump is that the faithful candidate is base.
    c.base=true
    cands = [c]
    set_violations(cands)
    return cands
  end

end